<app-banner></app-banner>
<app-dataset-popular></app-dataset-popular>
<app-story-maps></app-story-maps>
<app-webgis></app-webgis>
<app-appreciation></app-appreciation>

<section class="law">
  <div class="container py-5">
    <div class="row">
      <div class="col">
        <h1 class="py-2">
          Produk Hukum
        </h1>
        <div class="py-2">
          Satu Peta Jabar dilaksanakan secara berkesinambungan dengan Satu Data dan Open Data Jabar berdasarkan
          peraturan Presiden Nomor 39 Tahun 2019 tentang Satu Data Indonesia. Beberapa regulasi lainnya yang mendukung
          pelaksanaan Satu Peta jabar diantaranya sebagai berikut:
        </div>
        <app-error-request *ngIf="(errors.mapsetLaw$ | async) && !(loadings.mapsetLaw$ | async)"
                           [errorMessages]="(errors.mapsetLaw$ | async)"
                           (reloadTrigger)="getMapsetLaw()"></app-error-request>
        <div class="row mt-3"
             *ngIf="(loadings.mapsetLaw$ | async)">
          <div class="col-md my-2">
            <ngx-skeleton-loader count="1"
                                 [theme]="{ 
                  height: '50px'
                }"></ngx-skeleton-loader>
            <ngx-skeleton-loader count="1"
                                 [theme]="{ 
                  height: '50px'
                }"></ngx-skeleton-loader>
            <ngx-skeleton-loader count="1"
                                 [theme]="{ 
                  height: '50px'
                }"></ngx-skeleton-loader>
          </div>
        </div>

        <div>
          <a [href]="item.url"
             *ngFor="let item of mapsetLaws"
             target="_blank">
            <div class="card mt-3">
              <div class="card-body d-flex align-items-center">
                <img class="me-3"
                     src="assets/img/pdf.svg" />
                <div>{{ item.name }}</div>
              </div>
            </div>
          </a>
        </div>
      </div>
    </div>
    <div class="row mt-3">
      <div class="col">
        <app-pagination [filterInput]="filterMapsetLaw"
                        (filterOutputPerPage)="filterPageMapsetLaw()"></app-pagination>
      </div>
    </div>
  </div>
</section>

<section class="partner">
  <div class="container py-5 bg-full">
    <div class="row">
      <div class="col">
        <h1 class="py-2">
          Mitra
        </h1>
      </div>
    </div>
    <div class="row">
      <div class="col-md-12">
        Bermitra dengan berbagai pihak untuk meningkatkan tata kelola data dan layanan publik di Jawa Barat yang
        berbasis teknologi.
      </div>
    </div>
    <div class="row">
      <div class="col-md-12 d-flex align-items-center">
        <img src="assets/img/esri.svg" />
        <img src="assets/img/big.svg" />
        <img src="assets/img/brin.svg" />
        <img class="mx-3"
             src="assets/img/itb.svg" />
        <img class="mx-3"
             src="assets/img/upi.svg" />
        <img class="mx-3"
             src="assets/img/mapin.svg" />
      </div>
    </div>
  </div>
</section>